{"openapi":"3.0.0","info":{"title":"CBK API","version":"v1 (build 1787961582642)"},"servers":[{"url":"https://api.console.cbk.ai/v1"}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"TimezoneHeader":{"name":"X-Timezone","in":"header","description":"The timezone to use for the request","required":false,"schema":{"type":"string","example":"Europe/London"}}},"schemas":{"Message":{"type":"object","description":"A message in the conversation","properties":{"type":{"$ref":"#/components/schemas/MessageType"},"text":{"type":"string","description":"The text of the message"},"meta":{"$ref":"#/components/schemas/Meta"}},"required":["type","text"]},"Entity":{"type":"object","description":"Extracted entity from the message","properties":{"type":{"type":"string","description":"The entity type"},"begin":{"type":"number","description":"Start offset"},"end":{"type":"number","description":"End offset"},"text":{"type":"string","description":"The text value of the entity"},"replacement":{"type":"object","properties":{"begin":{"type":"number","description":"Start offset"},"end":{"type":"number","description":"End offset"},"text":{"type":"string","description":"The text value of the replacement"}},"required":["begin","end","text"]}},"required":["type","begin","end","text"]},"MessageType":{"type":"string","description":"The type of the message","enum":["user","bot","reasoning","context","instruction","backstory","activity","checkpoint"]},"Trigger":{"type":"string","description":"The type of the trigger","enum":["never","automatic"]},"Schedule":{"type":"string","description":"The schedule","enum":["never","quarterhourly","halfhourly","hourly","twicedaily","daily","twiceweekly","weekly","twicemonthly","monthly"]},"SyncStatus":{"type":"string","description":"The sync status of an integration","enum":["pending","synced","error"]},"TaskStatus":{"type":"string","description":"The task execution status","enum":["idle","running","canceled"]},"TaskOutcome":{"type":"string","description":"The task execution outcome","enum":["pending","success","failure"]},"BlueprintVisibility":{"type":"string","description":"The blueprint visibility","enum":["private","protected","public"]},"BotVisibility":{"type":"string","description":"The bot visibility","enum":["private","protected","public"]},"DatasetVisibility":{"type":"string","description":"The dataset visibility","enum":["private","protected","public"]},"DatasetFileAttachmentType":{"type":"string","description":"The dataset file attachment type","enum":["source"]},"DatasetFilter":{"type":"object","additionalProperties":{"anyOf":[{"type":"string"},{"type":"number"},{"type":"boolean"},{"type":"object","properties":{"$eq":{"anyOf":[{"type":"string"},{"type":"number"},{"type":"boolean"}]}},"required":["$eq"],"additionalProperties":false},{"type":"object","properties":{"$ne":{"anyOf":[{"type":"string"},{"type":"number"},{"type":"boolean"}]}},"required":["$ne"],"additionalProperties":false},{"type":"object","properties":{"$gt":{"type":"number"}},"required":["$gt"],"additionalProperties":false},{"type":"object","properties":{"$gte":{"type":"number"}},"required":["$gte"],"additionalProperties":false},{"type":"object","properties":{"$lt":{"type":"number"}},"required":["$lt"],"additionalProperties":false},{"type":"object","properties":{"$lte":{"type":"number"}},"required":["$lte"],"additionalProperties":false}]}},"SkillsetVisibility":{"type":"string","description":"The skillset visibility","enum":["private","protected","public"]},"ResourceState":{"type":"string","description":"The lifecycle state of a resource - toggle it on/off without deleting it","enum":["enabled","disabled"]},"FileVisibility":{"type":"string","description":"The file visibility","enum":["private","protected","public"]},"SecretType":{"type":"string","description":"The type of the secret","enum":["plain","basic","bearer","jwt","oauth","template","reference"]},"SecretKind":{"type":"string","description":"The kind of the secret","enum":["shared","personal"]},"SecretVisibility":{"type":"string","description":"The visibility of the secret","enum":["private","protected","public"]},"Usage":{"type":"object","description":"Usage information","properties":{"token":{"type":"number","description":"The tokens used in this exchange"}},"required":["token"]},"CompleteReason":{"type":"string","description":"The reason why the completion ended","enum":["length","stop","activity","abort","error","iteration"]},"Abort":{"type":"object","description":"Information about an abort event in a streamed response","properties":{"reason":{"description":"The abort reason if available"},"functionName":{"type":"string","description":"The function or tool associated with the abort"}}},"CompleteEnd":{"type":"object","description":"Information about why the completion ended","properties":{"reason":{"$ref":"#/components/schemas/CompleteReason"}},"required":["reason"]},"ExecutionLimits":{"type":"object","description":"Execution limits to control conversation processing bounds","properties":{"iterations":{"type":"integer","minimum":1,"description":"Maximum number of agentic iterations. Controls how many times the model can iterate through tool calls and responses."},"continuations":{"type":"integer","minimum":1,"description":"Maximum number of model continuations. Controls how many times the model can continue generating after reaching a stop condition."},"calls":{"type":"integer","minimum":1,"description":"Maximum number of function/tool calls. Controls how many total function calls can be made during the conversation."}}},"PolicyType":{"type":"string","description":"The policy type","enum":["retention","usage"]},"Limits":{"type":"object","description":"Limits information","properties":{"tokens":{"type":"number","description":"The tokens limit"},"conversations":{"type":"number","description":"The conversations limit"},"messages":{"type":"number","description":"The messages limit"},"database":{"type":"object","description":"The database limits","properties":{"datasets":{"type":"number","description":"The datasets limit"},"records":{"type":"number","description":"The records limit"},"skillsets":{"type":"number","description":"The skillsets limit"},"abilities":{"type":"number","description":"The abilities limit"},"files":{"type":"number","description":"The files limit"}}}}},"Meta":{"type":"object","description":"Meta data information","additionalProperties":true},"Model":{"type":"string","description":"A model definition","pattern":"\\w+(?:\\/\\w+=\\w+)*","example":"gpt-5.4"},"BotRef":{"type":"object","description":"A bot configuration that can be applied without a dedicated bot instance.","properties":{"botId":{"type":"string","description":"The ID of the bot this configuration is using","nullable":true}}},"BotConfig":{"type":"object","description":"A bot configuration that can be applied without a dedicated bot instance.","properties":{"model":{"$ref":"#/components/schemas/Model"},"backstory":{"type":"string","description":"The backstory this configuration is using","nullable":true},"datasetId":{"type":"string","description":"The id of the dataset this configuration is using","nullable":true},"skillsetId":{"type":"string","description":"The id of the skillset this configuration is using","nullable":true},"privacy":{"type":"boolean","description":"The privacy flag for this configuration"},"moderation":{"type":"boolean","description":"The moderation flag for this configuration"}}},"BotRefOrConfig":{"description":"A bot configuration or reference","oneOf":[{"$ref":"#/components/schemas/BotRef"},{"$ref":"#/components/schemas/BotConfig"}]},"BlueprintProps":{"type":"object","description":"Blueprint properties","properties":{"blueprintId":{"type":"string","description":"The ID of the blueprint","nullable":true}}},"InstanceRefProperties":{"description":"Instance reference properties","type":"object","properties":{"alias":{"type":"string","description":"The unique alias for the instance","nullable":true}}},"InstanceMetaProps":{"description":"Instance list properties","type":"object","properties":{"id":{"type":"string","description":"The instance ID"},"createdAt":{"type":"number","description":"The timestamp (ms) when the instance was created"},"updatedAt":{"type":"number","description":"The timestamp (ms) when the instance was updated"}},"required":["id","createdAt","updatedAt"]},"InstanceCrudProps":{"type":"object","description":"Instance crud properties","properties":{"name":{"type":"string","description":"The associated name"},"description":{"type":"string","description":"The associated description"},"meta":{"$ref":"#/components/schemas/Meta"}}},"InstanceListProps":{"description":"Instance list properties","allOf":[{"$ref":"#/components/schemas/InstanceCrudProps"},{"$ref":"#/components/schemas/InstanceMetaProps"}]},"JsonSchemaObject":{"description":"A JSON Schema object type definition (https://json-schema.org/). Represents an object schema with properties and validation rules.","type":"object","properties":{"type":{"type":"string","enum":["object"],"description":"The schema type, must be \"object\""},"title":{"type":"string","description":"The schema title"},"description":{"type":"string","description":"The schema description"},"properties":{"type":"object","description":"Object property definitions","additionalProperties":true},"required":{"type":"array","description":"Required property names","items":{"type":"string"}}},"required":["type","properties"]},"FunctionsDefinition":{"description":"An array of functions to be added to the conversation","type":"array","items":{"type":"object","properties":{"name":{"description":"The name of the function (must be a valid JS identifier, max 64 chars)","type":"string"},"description":{"description":"The description of the function","type":"string"},"parameters":{"description":"JSON Schema definition for the function parameters","type":"object","properties":{"type":{"description":"The schema type, must be \"object\"","type":"string","enum":["object"]},"properties":{"description":"Object property definitions","type":"object","additionalProperties":true},"required":{"description":"Required property names","type":"array","items":{"type":"string"}}},"required":["type","properties"]},"result":{"description":"The result of the function execution","oneOf":[{"type":"object","properties":{"data":{"description":"The data returned by the function (can be any type)"}},"required":["data"]},{"type":"object","properties":{"channel":{"description":"The channel for streaming function results","type":"string"}},"required":["channel"]}]},"call":{"description":"Configuration for when this function should be automatically called","type":"object","properties":{"start":{"description":"If true, this function will be force-called at the start of the conversation","type":"boolean"},"end":{"description":"If true, this function will be force-called at the end of the conversation","type":"boolean"}}}},"required":["name","description","parameters"]}},"ExtensionsDefinition":{"description":"Extensions to enhance the bot's capabilities","type":"object","properties":{"backstory":{"description":"Additional backstory for the bot","type":"string"},"datasets":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","nullable":true,"description":"The name of the dataset"},"description":{"type":"string","nullable":true,"description":"The description of the dataset"},"records":{"type":"array","items":{"type":"object","properties":{"text":{"type":"string","minLength":1,"description":"The text content of the record"},"meta":{"type":"object","additionalProperties":{},"description":"Additional metadata for the record"}},"required":["text"],"additionalProperties":false},"description":"The records in the dataset"}},"required":["records"],"additionalProperties":false},"description":"Inline datasets to provide additional context"},"skillsets":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","nullable":true,"description":"The name of the skillset"},"description":{"type":"string","nullable":true,"description":"The description of the skillset"},"abilities":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","minLength":1,"description":"The name of the ability"},"description":{"type":"string","minLength":1,"description":"The description of the ability"},"instruction":{"type":"string","minLength":1,"description":"The instruction for the ability"},"linkedSecretId":{"type":"string","minLength":1,"description":"Optional secret ID for the ability"},"linkedSpaceId":{"type":"string","minLength":1,"description":"Optional space ID for the ability"},"meta":{"type":"object","additionalProperties":{},"description":"Additional metadata for the ability"}},"required":["name","description","instruction"],"additionalProperties":false},"description":"The abilities in the skillset"}},"required":["abilities"],"additionalProperties":false},"description":"Inline skillsets to provide additional abilities"},"features":{"description":"Feature flags to enable specific bot capabilities","type":"array","items":{"type":"object","properties":{"name":{"description":"The name of the feature to enable","type":"string"},"options":{"description":"Optional configuration options for the feature","type":"object","additionalProperties":true}},"required":["name"]}}}},"CompleteStreamingResponseItem":{"description":"An item in the streaming completion response","oneOf":[{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["error"]},"data":{"description":"The data for the event","type":"object","properties":{"message":{"description":"The error message","type":"string"}},"required":["message"]}},"required":["type","data"]},{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["token"]},"data":{"description":"The data for the event","type":"object","properties":{"token":{"description":"The token generated","type":"string"}},"required":["token"]}},"required":["type","data"]},{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["reasoningToken"]},"data":{"description":"The data for the event","type":"object","properties":{"token":{"description":"The token generated","type":"string"}},"required":["token"]}},"required":["type","data"]},{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["message"]},"data":{"allOf":[{"$ref":"#/components/schemas/Message"},{"type":"object","properties":{}}]}},"required":["type","data"]},{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["abort"]},"data":{"$ref":"#/components/schemas/Abort"}},"required":["type","data"]},{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["completeBegin"]},"data":{"description":"The data for the event","type":"object","properties":{},"additionalProperties":true}},"required":["type","data"]},{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["completeEnd"]},"data":{"description":"The data for the event","type":"object","properties":{},"additionalProperties":true}},"required":["type","data"]},{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["waitForChannelMessageBegin"]},"data":{"description":"The data for the event","type":"object","properties":{},"additionalProperties":true}},"required":["type","data"]},{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["waitForChannelMessageEnd"]},"data":{"description":"The data for the event","type":"object","properties":{},"additionalProperties":true}},"required":["type","data"]},{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["usage"]},"data":{"description":"The data for the event","type":"object","properties":{"model":{"description":"The model used","type":"string"},"inputTokensUsed":{"description":"The number of input tokens used","type":"number"},"outputTokensUsed":{"description":"The number of output tokens used","type":"number"}},"required":["model","inputTokensUsed","outputTokensUsed"]}},"required":["type","data"]}]},"TaskWorkflowStreamingResponseItem":{"description":"An item in the task workflow subscription response","oneOf":[{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["operationBegin"]},"createdAt":{"description":"The event creation timestamp in milliseconds since the Unix epoch","type":"number"},"data":{"description":"The data for the operation begin event","type":"object","properties":{"id":{"description":"The operation ID","type":"string"},"action":{"description":"The action associated with the operation","type":"object","properties":{"id":{"description":"The action ID","type":"string"},"kind":{"description":"The action kind","type":"string","enum":["dataset","skillset","function"]},"name":{"description":"The action name","type":"string"},"input":{"description":"The action input"},"justification":{"description":"The action justification","type":"string"},"icon":{"description":"The action icon","type":"string"}},"required":["id"]}},"required":["id","action"]}},"required":["type","createdAt","data"]},{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["operationEnd"]},"createdAt":{"description":"The event creation timestamp in milliseconds since the Unix epoch","type":"number"},"data":{"description":"The data for the operation end event","type":"object","properties":{"id":{"description":"The operation ID","type":"string"},"action":{"description":"The action associated with the operation","type":"object","properties":{"id":{"description":"The action ID","type":"string"},"kind":{"description":"The action kind","type":"string","enum":["dataset","skillset","function"]},"name":{"description":"The action name","type":"string"},"input":{"description":"The action input"},"justification":{"description":"The action justification","type":"string"},"icon":{"description":"The action icon","type":"string"}},"required":["id"]}},"required":["id","action"]}},"required":["type","createdAt","data"]},{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["error"]},"createdAt":{"description":"The event creation timestamp in milliseconds since the Unix epoch","type":"number"},"data":{"description":"The data for the error event","type":"object","properties":{"code":{"description":"The error code","type":"string"},"message":{"description":"The error message","type":"string"}},"required":["code","message"]}},"required":["type","createdAt","data"]}]}},"responses":{"ErrorResponse":{"type":"object","description":"An error response","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"}},"required":["message","code"]}}},"security":[{"BearerAuth":[]}],"paths":{"/graphql":{"post":{"operationId":"graphql","summary":"Execute a GraphQL query","tags":["GraphQL"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"query":{"description":"The GraphQL query or mutation string","type":"string"},"variables":{"description":"The variables for the GraphQL operation","type":"object","additionalProperties":true},"operationName":{"description":"The name of the operation to execute","type":"string"}},"required":["query"]}}}},"responses":{"200":{"description":"The result of the GraphQL operation","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"description":"The data returned by the GraphQL operation","type":"object","additionalProperties":true},"errors":{"description":"Any errors returned by the GraphQL operation","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}}}}}}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/task/{taskId}/subscribe":{"post":{"operationId":"subscribeTaskWorkflowEvents","summary":"Subscribe to task workflow events","description":"Subscribe to real-time task workflow events. The stream currently\nincludes operation begin, operation end, and error events emitted by\nthe task's conversation engine while a task execution is running. The\nresponse uses the same streaming envelope shape as conversation\ncompletion endpoints: each line is an event with a `type`, `createdAt`,\nand `data`.\n","tags":["Task"],"parameters":[{"in":"path","name":"taskId","required":true,"schema":{"description":"The ID of the task","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"historyLength":{"description":"Number of recent workflow events to replay before live events.","type":"integer","minimum":0,"maximum":1000}}}}}},"responses":{"200":{"description":"Successfully subscribed to task workflow events","content":{"application/jsonl":{"schema":{"$ref":"#/components/schemas/TaskWorkflowStreamingResponseItem"}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/platform/report/list":{"get":{"operationId":"listPlatformReports","summary":"Retrieve a list of available reports","tags":["Platform"],"parameters":[{"in":"query","name":"cursor","schema":{"description":"The cursor to use for pagination","type":"string"}},{"in":"query","name":"order","schema":{"description":"The order of the paginated items","type":"string","enum":["asc","desc"],"default":"desc"}},{"in":"query","name":"take","schema":{"description":"The number of items to retrieve","type":"integer"}}],"responses":{"200":{"description":"The list of reports was retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/InstanceListProps"},{"type":"object","properties":{}}]}}},"required":["items"]}},"application/jsonl":{"schema":{"oneOf":[{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["item"]},"data":{"$ref":"#/paths/~1platform~1report~1list/get/responses/200/content/application~1json/schema/properties/items/items"}},"required":["type","data"]}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/platform/report/generate":{"post":{"operationId":"generatePlatformReports","summary":"Generate multiple reports","description":"Generates multiple reports in a single request. Input is a map where\neach key is a report ID and each value contains the input parameters\nfor that report. Returns a map with the same keys containing the\ncorresponding report outputs.\n","tags":["Platform"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","description":"Map of report IDs to their input parameters","additionalProperties":{"type":"object","description":"Input parameters specific to the report type"}},"example":{"clr3m5n8k000008jq7h9e5b1a":{"periodDays":30},"clr3m5n8k000108jq7h9e5b1b":{"periodDays":7}}}}},"responses":{"200":{"description":"The reports were generated successfully","content":{"application/json":{"schema":{"type":"object","description":"Map of report IDs to their output data or error","additionalProperties":{"oneOf":[{"type":"object","description":"Successful report output data"},{"type":"object","properties":{"error":{"type":"string","description":"Error message if report generation failed"}}}]}}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/platform/report/{reportId}/generate":{"post":{"operationId":"generatePlatformReport","summary":"Generate a specific report","description":"Generates a report based on the specified report ID and input\nparameters.\n","tags":["Platform"],"parameters":[{"in":"path","name":"reportId","required":true,"schema":{"description":"The ID of the report to generate","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","description":"Input parameters specific to the report type","additionalProperties":true}}}},"responses":{"200":{"description":"The report was generated successfully","content":{"application/json":{"schema":{"type":"object","description":"Report output data specific to the report type"}}}},"404":{"description":"Report not found"},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/openai/chat/completions":{"post":{"operationId":"createChatCompletion","summary":"Create a chat completion (OpenAI-compatible)","description":"An OpenAI Chat Completions compatible endpoint. Point any OpenAI client at this base URL and set `model` to a selector such as `model/name=...` or `bot/id=...`. Supports streaming and tool calling.","tags":["OpenAI Compatibility"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object"}}}},"responses":{"200":{"description":"The chat completion (or a text/event-stream when streaming)"},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/integration/whatsapp/{whatsappIntegrationId}/initiate":{"post":{"operationId":"initiateWhatsapp","summary":"Initiates conversation with the whatsapp integration","tags":["Conversation"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"to":{"description":"The recipient phone number in E.164 format, without the leading plus sign","type":"string"},"text":{"description":"The free-form text message to send within an active WhatsApp customer service window","type":"string"},"idempotencyKey":{"description":"A stable caller-supplied key used to prevent duplicate proactive messages when retrying the request","type":"string"}},"required":["to","text"]}}}},"responses":{"200":{"description":"The whatsapp integration was successfully initiated","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the initiated integration","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/integration/twilio/{twilioIntegrationId}/initiate":{"post":{"operationId":"initiateTwilio","summary":"Initiates conversation with the twilio integration","tags":["Conversation"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"channel":{"description":"The Twilio channel to use for the conversation","type":"string","enum":["sms","call"],"default":"sms"},"from":{"description":"The Twilio sender phone number","type":"string"},"to":{"description":"The recipient phone number","type":"string"},"text":{"description":"The text instruction to use to initiate the conversation","type":"string"}},"required":["from","to","text"]}}}},"responses":{"200":{"description":"The twilio integration was successfully initiated","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the initiated integration","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/integration/telegram/{telegramIntegrationId}/initiate":{"post":{"operationId":"initiateTelegram","summary":"Initiates conversation with the telegram integration","tags":["Conversation"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"chatId":{"description":"The Telegram chat ID, user ID, group chat ID, or channel username to send to","oneOf":[{"type":"string"},{"type":"number"}]},"text":{"description":"The text instruction to use to initiate the conversation","type":"string"}},"required":["chatId","text"]}}}},"responses":{"200":{"description":"The telegram integration was successfully initiated","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the initiated integration","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/integration/slack/{slackIntegrationId}/initiate":{"post":{"operationId":"initiateSlack","summary":"Initiates conversation with the slack integration","tags":["Conversation"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"channel":{"description":"The Slack channel or user to send to","type":"string"},"text":{"description":"The text instruction to use to initiate the conversation","type":"string"}},"required":["channel","text"]}}}},"responses":{"200":{"description":"The slack integration was successfully initiated","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the initiated integration","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/integration/recall/{recallIntegrationId}/initiate":{"post":{"operationId":"initiateRecall","summary":"Initiates a meeting session with the recall integration","tags":["Conversation"],"parameters":[{"in":"path","name":"recallIntegrationId","required":true,"schema":{"description":"The ID of the recall integration to use","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"meetingUrl":{"description":"The URL of the meeting to join","type":"string"},"text":{"description":"The instruction text to use to initiate the meeting session","type":"string"},"botName":{"description":"The display name for the bot in the meeting","type":"string"}},"required":["meetingUrl","text"]}}}},"responses":{"200":{"description":"The recall integration was successfully initiated","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the recall integration","type":"string"},"bot":{"description":"The meeting bot data from Recall.ai","type":"object"}},"required":["id","bot"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/integration/microsoftteams/{microsoftteamsIntegrationId}/initiate":{"post":{"operationId":"initiateTeams","summary":"Initiate a conversation with a Microsoft Teams integration","tags":["Conversation"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"conversationId":{"description":"The Microsoft Teams Bot Framework conversation ID to send to","type":"string"},"text":{"description":"The text message to send to the Teams conversation","type":"string"}},"required":["conversationId","text"]}}}},"responses":{"200":{"description":"The Microsoft Teams integration was initiated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the initiated integration","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/integration/messenger/{messengerIntegrationId}/initiate":{"post":{"operationId":"initiateMessenger","summary":"Initiates conversation with the messenger integration","tags":["Conversation"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"pageId":{"description":"The Facebook Page ID sending the message","type":"string"},"recipientId":{"description":"The Messenger recipient PSID from a prior interaction","type":"string"},"text":{"description":"The free-form text message to send while Meta allows messaging this recipient","type":"string"}},"required":["pageId","recipientId","text"]}}}},"responses":{"200":{"description":"The messenger integration was successfully initiated","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the initiated integration","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/integration/instagram/{instagramIntegrationId}/initiate":{"post":{"operationId":"initiateInstagram","summary":"Initiates conversation with the instagram integration","tags":["Conversation"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"instagramUserId":{"description":"The Instagram professional account ID sending the message","type":"string"},"recipientId":{"description":"The Instagram recipient ID from a prior interaction","type":"string"},"text":{"description":"The free-form text message to send while Meta allows messaging this recipient","type":"string"}},"required":["instagramUserId","recipientId","text"]}}}},"responses":{"200":{"description":"The instagram integration was successfully initiated","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the initiated integration","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/integration/googlechat/{googlechatIntegrationId}/initiate":{"post":{"operationId":"initiateGooglechat","summary":"Initiates conversation with the googlechat integration","tags":["Conversation"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"space":{"description":"The Google Chat space resource name to send to, such as spaces/AAAA..., or a Google Chat user identifier for a direct message","type":"string"},"text":{"description":"The text message to send to the Google Chat space","type":"string"}},"required":["text"]}}}},"responses":{"200":{"description":"The googlechat integration was successfully initiated","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the initiated integration","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/integration/email/{emailIntegrationId}/initiate":{"post":{"operationId":"initiateEmail","summary":"Initiates conversation with the email integration","tags":["Conversation"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"email":{"description":"The email address to use for the conversation","type":"string","format":"email"},"subject":{"description":"The subject of the email","type":"string"},"text":{"description":"The text instruction to use to initiate the conversation","type":"string"}},"required":["text","email","subject"]}}}},"responses":{"200":{"description":"The email integration was successfully initiated","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the initiated integration","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/integration/discord/{discordIntegrationId}/initiate":{"post":{"operationId":"initiateDiscord","summary":"Initiates conversation with the discord integration","tags":["Conversation"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"channelId":{"description":"The Discord channel ID to send to","type":"string"},"text":{"description":"The text message to send to the Discord channel","type":"string"}},"required":["channelId","text"]}}}},"responses":{"200":{"description":"The discord integration was successfully initiated","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the initiated integration","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/user/list":{"get":{"operationId":"listUsers","summary":"List users","tags":["User"],"parameters":[{"in":"query","name":"cursor","schema":{"description":"The cursor to use for pagination","type":"string"}},{"in":"query","name":"order","schema":{"description":"The order of the paginated items","type":"string","enum":["asc","desc"],"default":"desc"}},{"in":"query","name":"take","schema":{"description":"The number of items to retrieve","type":"integer"}},{"in":"query","name":"meta","schema":{"description":"Key-value pairs to filter the users by metadata","type":"object","additionalProperties":{"type":"string"}},"style":"deepObject","explode":true}],"responses":{"200":{"description":"The list of users was retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/InstanceListProps"},{"type":"object","properties":{"image":{"description":"The image of the user","type":"string"},"email":{"description":"The email of the user","type":"string"},"limits":{"$ref":"#/components/schemas/Limits"}}}]}},"cursor":{"description":"Cursor for fetching the next page","type":"string"}},"required":["items","cursor"]}},"application/jsonl":{"schema":{"oneOf":[{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["item"]},"data":{"$ref":"#/paths/~1user~1list/get/responses/200/content/application~1json/schema/properties/items/items"}},"required":["type","data"]}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/user/create":{"post":{"operationId":"createUser","summary":"Create user","tags":["User"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceRefProperties"},{"$ref":"#/components/schemas/InstanceCrudProps"},{"type":"object","properties":{"image":{"description":"The image of the user","type":"string"},"email":{"description":"The email of the user","type":"string"},"limits":{"$ref":"#/components/schemas/Limits"}}}]}}}},"responses":{"200":{"description":"The user was created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the created user","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/user/{userId}/update":{"post":{"operationId":"updateUser","summary":"Update a user","tags":["User"],"parameters":[{"in":"path","name":"userId","required":true,"schema":{"description":"The ID of the user","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceRefProperties"},{"$ref":"#/components/schemas/InstanceCrudProps"},{"type":"object","properties":{"image":{"description":"The image of the user","type":"string"},"email":{"description":"The email of the user","type":"string"},"limits":{"$ref":"#/components/schemas/Limits"}}}]}}}},"responses":{"200":{"description":"The message was updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the updated user","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/user/{userId}/fetch":{"get":{"operationId":"fetchUser","summary":"Fetch a user","tags":["User"],"parameters":[{"in":"path","name":"userId","required":true,"schema":{"description":"The ID of the user to retrieve","type":"string"}}],"responses":{"200":{"description":"The user was retrieved successfully","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceListProps"},{"type":"object","properties":{"image":{"description":"The image of the user","type":"string"},"email":{"description":"The email of the user","type":"string"},"limits":{"$ref":"#/components/schemas/Limits"}}}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/user/{userId}/delete":{"post":{"operationId":"deleteUser","summary":"Delete a user","tags":["User"],"parameters":[{"in":"path","name":"userId","required":true,"schema":{"description":"The ID of the user to delete","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{}}}}},"responses":{"200":{"description":"The user was deleted successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the deleted user","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/user/{userId}/token/list":{"get":{"operationId":"listUserTokens","summary":"List user tokens","tags":["User"],"parameters":[{"in":"path","name":"userId","required":true,"schema":{"description":"The ID of the user","type":"string"}},{"in":"query","name":"cursor","schema":{"description":"The cursor to use for pagination","type":"string"}},{"in":"query","name":"order","schema":{"description":"The order of the paginated items","type":"string","enum":["asc","desc"],"default":"desc"}},{"in":"query","name":"take","schema":{"description":"The number of items to retrieve","type":"integer"}}],"responses":{"200":{"description":"The list of user tokens was retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/InstanceListProps"},{"type":"object","properties":{}}]}},"cursor":{"description":"Cursor for fetching the next page","type":"string"}},"required":["items","cursor"]}},"application/jsonl":{"schema":{"oneOf":[{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["item"]},"data":{"$ref":"#/paths/~1user~1{userId}~1token~1list/get/responses/200/content/application~1json/schema/properties/items/items"}},"required":["type","data"]}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/user/{userId}/token/create":{"post":{"operationId":"createUserToken","summary":"Create user token","tags":["User"],"parameters":[{"in":"path","name":"userId","required":true,"schema":{"description":"The ID of the user","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"description":"The name of the token","type":"string"},"description":{"description":"The description of the token","type":"string"},"config":{"description":"Token configuration","type":"object"},"meta":{"description":"Custom metadata for the token","type":"object"}}}}}},"responses":{"200":{"description":"The user token was created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the created user token","type":"string"},"token":{"description":"The token of the created user token","type":"string"},"createdAt":{"description":"The timestamp for when the user token was created (in milliseconds)","type":"number"}},"required":["id","token","createdAt"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/user/{userId}/token/{tokenId}/update":{"post":{"operationId":"updateUserToken","summary":"Update a user token","tags":["User"],"parameters":[{"in":"path","name":"userId","required":true,"schema":{"description":"The ID of the user","type":"string"}},{"in":"path","name":"tokenId","required":true,"schema":{"description":"The ID of the user token to update","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"description":"The name of the token","type":"string"},"description":{"description":"The description of the token","type":"string"},"config":{"description":"Token configuration","type":"object"},"meta":{"description":"Custom metadata for the token","type":"object"}}}}}},"responses":{"200":{"description":"The user token was updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the updated user token","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/user/{userId}/token/{tokenId}/delete":{"post":{"operationId":"deleteUserToken","summary":"Delete a user token","tags":["User"],"parameters":[{"in":"path","name":"userId","required":true,"schema":{"description":"The ID of the user","type":"string"}},{"in":"path","name":"tokenId","required":true,"schema":{"description":"The ID of the user token to delete","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{}}}}},"responses":{"200":{"description":"The user token was deleted successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the deleted user token","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/user/{userId}/session/create":{"post":{"operationId":"createUserSession","summary":"Create a user session","tags":["User"],"parameters":[{"in":"path","name":"userId","required":true,"schema":{"description":"The ID of the user","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"durationInSeconds":{"description":"The lifetime of the session token in seconds","type":"number"},"config":{"type":"object","properties":{"allowedRoutes":{"description":"Glob patterns restricting which API routes the token may access","type":"array","items":{"type":"string"}},"contactId":{"description":"Optional contact ID to include in the session token","type":"string"}}}}}}}},"responses":{"200":{"description":"The session was created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the created session","type":"string"},"token":{"description":"The temporary session token","type":"string"},"expiresAt":{"description":"The timestamp for when the session token expires (in milliseconds)","type":"number"}},"required":["id","token","expiresAt"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/user/{userId}/context/list":{"get":{"operationId":"listUserContexts","summary":"List user contexts","tags":["User"],"parameters":[{"in":"path","name":"userId","required":true,"schema":{"description":"The ID of the user","type":"string"}},{"in":"query","name":"cursor","schema":{"description":"The cursor to use for pagination","type":"string"}},{"in":"query","name":"order","schema":{"description":"The order of the paginated items","type":"string","enum":["asc","desc"],"default":"desc"}},{"in":"query","name":"take","schema":{"description":"The number of items to retrieve","type":"integer"}},{"in":"query","name":"blueprintId","schema":{"type":"string"}},{"in":"query","name":"botId","schema":{"type":"string"}},{"in":"query","name":"datasetId","schema":{"type":"string"}},{"in":"query","name":"skillsetId","schema":{"type":"string"}}],"responses":{"200":{"description":"The list of contexts was retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/InstanceListProps"},{"type":"object","properties":{"blueprintId":{"type":"string"},"botId":{"type":"string"},"datasetId":{"type":"string"},"skillsetId":{"type":"string"},"contactId":{"type":"string"},"payload":{"type":"object"}}}]}},"cursor":{"description":"Cursor for fetching the next page","type":"string"}},"required":["items","cursor"]}},"application/jsonl":{"schema":{"oneOf":[{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["item"]},"data":{"$ref":"#/paths/~1user~1{userId}~1context~1list/get/responses/200/content/application~1json/schema/properties/items/items"}},"required":["type","data"]}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/user/{userId}/context/create":{"post":{"operationId":"createUserContext","summary":"Create user context","tags":["User"],"parameters":[{"in":"path","name":"userId","required":true,"schema":{"description":"The ID of the user","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceCrudProps"},{"type":"object","properties":{"payload":{"description":"Context payload","type":"object"}}}]}}}},"responses":{"200":{"description":"The user context was created successfully","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceListProps"},{"type":"object","properties":{"blueprintId":{"type":"string"},"botId":{"type":"string"},"datasetId":{"type":"string"},"skillsetId":{"type":"string"},"contactId":{"type":"string"},"payload":{"type":"object"}}}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/user/{userId}/context/{contextId}/update":{"post":{"operationId":"updateUserContext","summary":"Update a user context","tags":["User"],"parameters":[{"in":"path","name":"userId","required":true,"schema":{"description":"The ID of the user","type":"string"}},{"in":"path","name":"contextId","required":true,"schema":{"description":"The ID of the context to update","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceCrudProps"},{"type":"object","properties":{"payload":{"description":"Context payload","type":"object"}}}]}}}},"responses":{"200":{"description":"The context was updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the updated context","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/user/{userId}/context/{contextId}/fetch":{"get":{"operationId":"fetchUserContext","summary":"Fetch a user context","tags":["User"],"parameters":[{"in":"path","name":"userId","required":true,"schema":{"description":"The ID of the user","type":"string"}},{"in":"path","name":"contextId","required":true,"schema":{"description":"The ID of the context to retrieve","type":"string"}}],"responses":{"200":{"description":"The context was retrieved successfully","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceListProps"},{"type":"object","properties":{"blueprintId":{"type":"string"},"botId":{"type":"string"},"datasetId":{"type":"string"},"skillsetId":{"type":"string"},"contactId":{"type":"string"},"payload":{"type":"object"}}}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/user/{userId}/context/{contextId}/delete":{"post":{"operationId":"deleteUserContext","summary":"Delete a user context","tags":["User"],"parameters":[{"in":"path","name":"userId","required":true,"schema":{"description":"The ID of the user","type":"string"}},{"in":"path","name":"contextId","required":true,"schema":{"description":"The ID of the context to delete","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{}}}}},"responses":{"200":{"description":"The context was deleted successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the deleted context","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/usage/list":{"get":{"operationId":"listUsageRecords","summary":"List usage records","tags":["Usage"],"parameters":[{"in":"query","name":"cursor","schema":{"description":"The cursor to use for pagination","type":"string"}},{"in":"query","name":"order","schema":{"description":"The order of the paginated items","type":"string","enum":["asc","desc"],"default":"desc"}},{"in":"query","name":"take","schema":{"description":"The number of items to retrieve","type":"integer"}},{"in":"query","name":"meta","schema":{"description":"Key-value pairs to filter usage records by metadata","type":"object","additionalProperties":{"type":"string"}},"style":"deepObject","explode":true}],"responses":{"200":{"description":"The list of usage records was retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/InstanceListProps"},{"type":"object","properties":{"type":{"description":"The usage type","type":"string"},"count":{"description":"The usage count","type":"integer"},"conversationId":{"description":"Related conversation ID if applicable","type":"string"},"messageId":{"description":"Related message ID if applicable","type":"string"},"taskId":{"description":"Related task ID if applicable","type":"string"},"contactId":{"description":"Related contact ID if applicable","type":"string"},"blueprintId":{"description":"Related blueprint ID if applicable","type":"string"},"botId":{"description":"Related bot ID if applicable","type":"string"},"datasetId":{"description":"Related dataset ID if applicable","type":"string"},"skillsetId":{"description":"Related skillset ID if applicable","type":"string"},"abilityId":{"description":"Related ability ID if applicable","type":"string"}},"required":["type","count"]}]}},"cursor":{"description":"Cursor for fetching the next page","type":"string"}},"required":["items","cursor"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/usage/fetch":{"get":{"operationId":"fetchUsage","summary":"Fetch usage","description":"Fetches the usage data for the user in the current billing period.","tags":["Usage"],"responses":{"200":{"description":"The usage information was retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"tokens":{"description":"The number of tokens the user has used","type":"number"},"conversations":{"description":"The number of conversations the user has created","type":"number"},"messages":{"description":"The number of messages the user has sent","type":"number"},"database":{"description":"Database usage information","type":"object","properties":{"datasets":{"description":"The number of datasets the user has created","type":"number"},"records":{"description":"The number of records the user has created","type":"number"},"skillsets":{"description":"The number of skillsets the user has created","type":"number"},"abilities":{"description":"The number of abilities the user has created","type":"number"},"files":{"description":"The number of files the user has created","type":"number"},"users":{"description":"The number of users the user has created","type":"number"}},"required":["datasets","records","skillsets","abilities","files","users"]}},"required":["tokens","conversations","messages","database"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/usage/series/fetch":{"get":{"operationId":"fetchUsageSeries","summary":"Fetch usage series","description":"Fetches a series of usage data points for the user for the last 90 days.","tags":["Usage"],"responses":{"200":{"description":"The usage series information was retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"tokens":{"description":"The number of tokens the user has used","type":"array","items":{"type":"object","properties":{"date":{"description":"The date of the data point","type":"number"},"total":{"description":"The total number of tokens the user has used","type":"number"}},"required":["date","total"]}},"conversations":{"description":"The number of conversations the user has created","type":"array","items":{"type":"object","properties":{"date":{"description":"The date of the data point","type":"number"},"total":{"description":"The total number of conversations the user has used","type":"number"}},"required":["date","total"]}},"messages":{"description":"The number of messages the user has created","type":"array","items":{"type":"object","properties":{"date":{"description":"The date of the data point","type":"number"},"total":{"description":"The total number of messages the user has used","type":"number"}},"required":["date","total"]}}},"required":["tokens","conversations","messages"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/team/list":{"get":{"operationId":"listTeams","summary":"Retrieve a list of teams","tags":["Team"],"parameters":[{"in":"query","name":"cursor","schema":{"description":"The cursor to use for pagination","type":"string"}},{"in":"query","name":"order","schema":{"description":"The order of the paginated items","type":"string","enum":["asc","desc"],"default":"desc"}},{"in":"query","name":"take","schema":{"description":"The number of items to retrieve","type":"integer"}},{"in":"query","name":"meta","schema":{"description":"Key-value pairs to filter the items by metadata","type":"object","additionalProperties":{"type":"string"}},"style":"deepObject","explode":true}],"responses":{"200":{"description":"The list of teams was retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/InstanceListProps"},{"type":"object","properties":{}}]}},"cursor":{"description":"Cursor for fetching the next page","type":"string"}},"required":["items","cursor"]}},"application/jsonl":{"schema":{"oneOf":[{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["item"]},"data":{"$ref":"#/paths/~1team~1list/get/responses/200/content/application~1json/schema/properties/items/items"}},"required":["type","data"]}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/task/list":{"get":{"operationId":"listTasks","summary":"List tasks","tags":["Task"],"parameters":[{"in":"query","name":"cursor","schema":{"description":"The cursor to use for pagination","type":"string"}},{"in":"query","name":"order","schema":{"description":"The order of the paginated items","type":"string","enum":["asc","desc"],"default":"desc"}},{"in":"query","name":"take","schema":{"description":"The number of items to retrieve","type":"integer"}},{"in":"query","name":"blueprintId","schema":{"description":"Filter by associated blueprint","type":"string"}},{"in":"query","name":"botId","schema":{"description":"Filter by associated bot","type":"string"}},{"in":"query","name":"contactId","schema":{"description":"Filter by associated contact","type":"string"}},{"in":"query","name":"status","schema":{"description":"Filter by task status","type":"string","enum":["idle","running","canceled"]}},{"in":"query","name":"meta","schema":{"description":"Key-value pairs to filter the items by metadata","type":"object","additionalProperties":{"type":"string"}},"style":"deepObject","explode":true}],"responses":{"200":{"description":"The list of tasks was retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/InstanceListProps"},{"type":"object","properties":{"blueprintId":{"type":"string","description":"The blueprint associated with the task"},"contactId":{"type":"string","description":"The contact associated with the task"},"botId":{"type":"string","description":"The bot associated with the task"},"schedule":{"type":"string","description":"The schedule of the task"},"timezone":{"type":"string","nullable":true,"description":"The IANA timezone identifier used to evaluate the task schedule."},"sessionDuration":{"description":"The session duration of the task execution (in milliseconds)","type":"number","nullable":true},"maxIterations":{"description":"The maximum number of iterations per task execution","type":"number"},"maxTime":{"description":"The maximum time per task execution (in milliseconds)","type":"number"},"status":{"$ref":"#/components/schemas/TaskStatus"},"outcome":{"$ref":"#/components/schemas/TaskOutcome"},"lastRunAt":{"description":"The timestamp (ms) of the last task execution","type":"number","nullable":true},"nextRunAt":{"description":"The timestamp (ms) of the next scheduled task execution","type":"number","nullable":true},"expiresAt":{"description":"The timestamp (ms) at which the task expires and is automatically deleted","type":"number","nullable":true}}}]}},"cursor":{"description":"Cursor for fetching the next page","type":"string"}},"required":["items","cursor"]}},"application/jsonl":{"schema":{"oneOf":[{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["item"]},"data":{"$ref":"#/paths/~1task~1list/get/responses/200/content/application~1json/schema/properties/items/items"}},"required":["type","data"]}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/task/export":{"get":{"operationId":"exportTasks","summary":"Export tasks","tags":["Task"],"parameters":[{"in":"query","name":"cursor","schema":{"description":"The cursor to use for pagination","type":"string"}},{"in":"query","name":"order","schema":{"description":"The order of the paginated items","type":"string","enum":["asc","desc"],"default":"desc"}},{"in":"query","name":"take","schema":{"description":"The number of items to retrieve","type":"integer"}},{"in":"query","name":"meta","schema":{"description":"Key-value pairs to filter the items by metadata","type":"object","additionalProperties":{"type":"string"}},"style":"deepObject","explode":true}],"responses":{"200":{"description":"The list of tasks was retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/InstanceListProps"},{"type":"object","properties":{"contactId":{"type":"string","description":"The contact associated with the task"},"botId":{"type":"string","description":"The bot associated with the task"},"schedule":{"type":"string","description":"The schedule of the task"},"timezone":{"type":"string","nullable":true,"description":"The IANA timezone identifier used to evaluate the task schedule."},"sessionDuration":{"description":"The session duration of the task execution (in milliseconds)","type":"number","nullable":true},"maxIterations":{"description":"The maximum number of iterations per task execution","type":"number"},"maxTime":{"description":"The maximum time per task execution (in milliseconds)","type":"number"}}}]}},"cursor":{"description":"Cursor for fetching the next page","type":"string"}},"required":["items","cursor"]}},"application/jsonl":{"schema":{"oneOf":[{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["item"]},"data":{"$ref":"#/paths/~1task~1export/get/responses/200/content/application~1json/schema/properties/items/items"}},"required":["type","data"]}]}},"text/csv":{"schema":{"type":"string"}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/task/create":{"post":{"operationId":"createTask","summary":"Create a new task","description":"Create a new task with the given parameters.\n","tags":["Task"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceCrudProps"},{"$ref":"#/components/schemas/BlueprintProps"},{"type":"object","properties":{"contactId":{"type":"string","description":"The contact associated with the task"},"botId":{"type":"string","description":"The bot associated with the task"},"schedule":{"type":"string","description":"The schedule of the task. Cron expressions and date-based schedules are evaluated in the provided timezone when set."},"timezone":{"type":"string","nullable":true,"description":"An optional IANA timezone identifier used when evaluating the task schedule.","example":"America/New_York"},"expiresAt":{"type":"number","nullable":true,"description":"An optional epoch-millisecond timestamp after which the task is automatically deleted. Pass null or omit for no expiry."},"sessionDuration":{"description":"The session duration of the Widget integration","type":"number"},"maxIterations":{"description":"The maximum number of iterations per task execution","type":"number"},"maxTime":{"description":"The maximum time per task execution in milliseconds","type":"number"},"maxCalls":{"description":"The maximum number of tool calls across the whole task run (0 or null for unbounded)","type":"number","nullable":true}}}]}}}},"responses":{"200":{"description":"The task was created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the created task","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/task/{taskId}/update":{"post":{"operationId":"updateTask","summary":"Update task","tags":["Task"],"parameters":[{"in":"path","name":"taskId","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceCrudProps"},{"$ref":"#/components/schemas/BlueprintProps"},{"type":"object","properties":{"contactId":{"type":"string","description":"The contact associated with the task"},"botId":{"type":"string","description":"The bot associated with the task"},"schedule":{"type":"string","description":"The schedule of the task. Cron expressions and date-based schedules are evaluated in the provided timezone when set."},"timezone":{"type":"string","nullable":true,"description":"An optional IANA timezone identifier used when evaluating the task schedule.","example":"America/New_York"},"expiresAt":{"type":"number","nullable":true,"description":"An optional epoch-millisecond timestamp after which the task is automatically deleted. Pass null to clear an existing expiry."},"sessionDuration":{"description":"The session duration of the Widget integration","type":"number"},"maxIterations":{"description":"The maximum number of iterations per task execution","type":"number"},"maxTime":{"description":"The maximum time per task execution in milliseconds","type":"number"},"maxCalls":{"description":"The maximum number of tool calls across the whole task run (0 or null for unbounded)","type":"number","nullable":true}}}]}}}},"responses":{"200":{"description":"The task was updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the updated task","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/task/{taskId}/trigger":{"post":{"operationId":"triggerTask","summary":"Trigger a task","description":"Manually trigger a task to execute immediately.\n","tags":["Task"],"parameters":[{"in":"path","name":"taskId","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","description":"The request body for triggering a task","properties":{}}}}},"responses":{"200":{"description":"The task was triggered successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the triggered task","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/task/{taskId}/fetch":{"get":{"operationId":"fetchTask","summary":"Fetch task","tags":["Task"],"parameters":[{"in":"path","name":"taskId","required":true,"schema":{"description":"The ID of the task to retrieve","type":"string"}}],"responses":{"200":{"description":"The task was retrieved successfully","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceListProps"},{"type":"object","properties":{"blueprintId":{"type":"string","description":"The blueprint associated with the task"},"contactId":{"type":"string","description":"The contact associated with the task"},"botId":{"type":"string","description":"The bot associated with the task"},"schedule":{"type":"string","description":"The schedule of the task"},"timezone":{"type":"string","nullable":true,"description":"The IANA timezone identifier used to evaluate the task schedule."},"sessionDuration":{"description":"The session duration of the task execution (in milliseconds)","type":"number","nullable":true},"maxIterations":{"description":"The maximum number of iterations per task execution","type":"number"},"maxTime":{"description":"The maximum time per task execution (in milliseconds)","type":"number"},"status":{"$ref":"#/components/schemas/TaskStatus"},"outcome":{"$ref":"#/components/schemas/TaskOutcome"},"lastRunAt":{"description":"The timestamp (ms) of the last task execution","type":"number","nullable":true},"nextRunAt":{"description":"The timestamp (ms) of the next scheduled task execution","type":"number","nullable":true},"expiresAt":{"description":"The timestamp (ms) at which the task expires and is automatically deleted","type":"number","nullable":true}}}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/task/{taskId}/delete":{"post":{"operationId":"deleteTask","summary":"Delete task","tags":["Task"],"parameters":[{"in":"path","name":"taskId","required":true,"schema":{"description":"The ID of the task to delete","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{}}}}},"responses":{"200":{"description":"The task was deleted successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the deleted task","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/task/{taskId}/cancel":{"post":{"operationId":"cancelTask","summary":"Cancel a running task","tags":["Task"],"parameters":[{"in":"path","name":"taskId","required":true,"schema":{"description":"The ID of the task to cancel","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{}}}}},"responses":{"200":{"description":"The task was canceled successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the canceled task","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/task/{taskId}/execution/list":{"get":{"operationId":"listTaskExecutions","summary":"List task executions","tags":["Task"],"parameters":[{"in":"path","name":"taskId","required":true,"schema":{"description":"The ID of the task","type":"string"}},{"in":"query","name":"cursor","schema":{"description":"The cursor to use for pagination","type":"string"}},{"in":"query","name":"order","schema":{"description":"The order of the paginated items","type":"string","enum":["asc","desc"],"default":"desc"}},{"in":"query","name":"take","schema":{"description":"The number of items to retrieve","type":"integer"}},{"in":"query","name":"status","schema":{"description":"Filter by execution status","type":"string","enum":["idle","running","canceled"]}},{"in":"query","name":"meta","schema":{"description":"Key-value pairs to filter by metadata","type":"object","additionalProperties":{"type":"string"}},"style":"deepObject","explode":true}],"responses":{"200":{"description":"The list of task executions was retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/InstanceListProps"},{"type":"object","properties":{"taskId":{"type":"string","description":"The task this execution belongs to"},"conversationId":{"type":"string","description":"The conversation associated with this execution"},"status":{"$ref":"#/components/schemas/TaskStatus"},"outcome":{"$ref":"#/components/schemas/TaskOutcome"},"summary":{"type":"string","description":"A summary of the execution result"},"completedAt":{"type":"string","format":"date-time","description":"When the execution completed"},"resumeAt":{"type":"string","format":"date-time","description":"When a paused run is expected to resume; null while actively running"}}}]}},"cursor":{"description":"Cursor for fetching the next page","type":"string"}},"required":["items","cursor"]}},"application/jsonl":{"schema":{"oneOf":[{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["item"]},"data":{"$ref":"#/paths/~1task~1{taskId}~1execution~1list/get/responses/200/content/application~1json/schema/properties/items/items"}},"required":["type","data"]}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/task/{taskId}/execution/{taskExecutionId}/cancel":{"post":{"operationId":"cancelTaskExecution","summary":"Cancel a task execution","tags":["Task"],"parameters":[{"in":"path","name":"taskId","required":true,"schema":{"description":"The ID of the task","type":"string"}},{"in":"path","name":"taskExecutionId","required":true,"schema":{"description":"The ID of the task execution to cancel","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{}}}}},"responses":{"200":{"description":"The task execution was canceled successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the canceled task execution","type":"string"},"taskId":{"description":"The ID of the parent task","type":"string"}},"required":["id","taskId"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/space/list":{"get":{"operationId":"listSpaces","summary":"List spaces","tags":["Space"],"parameters":[{"in":"query","name":"cursor","schema":{"description":"The cursor to use for pagination","type":"string"}},{"in":"query","name":"order","schema":{"description":"The order of the paginated items","type":"string","enum":["asc","desc"],"default":"desc"}},{"in":"query","name":"take","schema":{"description":"The number of items to retrieve","type":"integer"}},{"in":"query","name":"meta","schema":{"description":"Key-value pairs to filter the items by metadata","type":"object","additionalProperties":{"type":"string"}},"style":"deepObject","explode":true}],"responses":{"200":{"description":"The list of spaces was retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/InstanceRefProperties"},{"$ref":"#/components/schemas/InstanceListProps"},{"$ref":"#/components/schemas/BlueprintProps"},{"type":"object","properties":{"contactId":{"description":"The contact associated with the space","type":"string"}}}]}},"cursor":{"description":"Cursor for fetching the next page","type":"string"}},"required":["items","cursor"]}},"application/jsonl":{"schema":{"oneOf":[{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["item"]},"data":{"$ref":"#/paths/~1space~1list/get/responses/200/content/application~1json/schema/properties/items/items"}},"required":["type","data"]}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/space/export":{"get":{"operationId":"exportSpaces","summary":"Export spaces","tags":["Space"],"parameters":[{"in":"query","name":"cursor","schema":{"description":"The cursor to use for pagination","type":"string"}},{"in":"query","name":"order","schema":{"description":"The order of the paginated items","type":"string","enum":["asc","desc"],"default":"desc"}},{"in":"query","name":"take","schema":{"description":"The number of items to retrieve","type":"integer"}},{"in":"query","name":"meta","schema":{"description":"Key-value pairs to filter the items by metadata","type":"object","additionalProperties":{"type":"string"}},"style":"deepObject","explode":true}],"responses":{"200":{"description":"The list of spaces was retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/InstanceListProps"},{"$ref":"#/components/schemas/BlueprintProps"},{"type":"object","properties":{"contactId":{"description":"The contact associated with the space","type":"string"}}}]}},"cursor":{"description":"Cursor for fetching the next page","type":"string"}},"required":["items","cursor"]}},"application/jsonl":{"schema":{"oneOf":[{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["item"]},"data":{"$ref":"#/paths/~1space~1export/get/responses/200/content/application~1json/schema/properties/items/items"}},"required":["type","data"]}]}},"text/csv":{"schema":{"type":"string"}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/space/create":{"post":{"operationId":"createSpace","summary":"Create space","tags":["Space"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceRefProperties"},{"$ref":"#/components/schemas/InstanceCrudProps"},{"$ref":"#/components/schemas/BlueprintProps"},{"type":"object","properties":{"contactId":{"type":"string","description":"The contact associated with the space"}}}]}}}},"responses":{"200":{"description":"The space was created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the created space","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/space/{spaceId}/update":{"post":{"operationId":"updateSpace","summary":"Update space","tags":["Space"],"parameters":[{"in":"path","name":"spaceId","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceRefProperties"},{"$ref":"#/components/schemas/InstanceCrudProps"},{"$ref":"#/components/schemas/BlueprintProps"},{"type":"object","properties":{"contactId":{"type":"string","description":"The contact associated with the space"}}}]}}}},"responses":{"200":{"description":"The space was updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the updated space","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/space/{spaceId}/fetch":{"get":{"operationId":"fetchSpace","summary":"Fetch a space","tags":["Space"],"parameters":[{"in":"path","name":"spaceId","required":true,"schema":{"description":"The ID of the space to retrieve","type":"string"}}],"responses":{"200":{"description":"The space was retrieved successfully","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceRefProperties"},{"$ref":"#/components/schemas/InstanceListProps"},{"$ref":"#/components/schemas/BlueprintProps"},{"type":"object","properties":{"contactId":{"description":"The contact associated with the space","type":"string"}}}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/space/{spaceId}/delete":{"post":{"operationId":"deleteSpace","summary":"Delete a space","tags":["Space"],"parameters":[{"in":"path","name":"spaceId","required":true,"schema":{"description":"The ID of the space to delete","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{}}}}},"responses":{"200":{"description":"The space was deleted successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the deleted space","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/space/{spaceId}/storage/upload/{path}":{"post":{"operationId":"uploadSpaceStoragePath","summary":"Upload a file to space storage","description":"Upload a file to space storage. The file path is specified in the URL\nafter /upload/. The file can be specified either as a HTTP URL, a data\nURL, a multipart/form-data, or as a raw file stream. The maximum file\nsize for uploads is determined dynamically based on user limits and\nconfiguration, and may vary.\n","tags":["Space Storage"],"parameters":[{"in":"path","name":"spaceId","required":true,"schema":{"type":"string"}},{"in":"path","name":"path","required":true,"schema":{"description":"The file path","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"file":{"description":"The file to upload either as http: or data: URL","type":"string"}}},{"type":"object","properties":{"file":{"description":"The file definition to upload","type":"object","properties":{"type":{"description":"The file type","type":"string"},"size":{"description":"The file size","type":"number"},"meta":{"description":"Optional metadata","type":"object"}},"required":["type","size"]}}}],"required":["file"]}},"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"description":"The file to upload","type":"string","format":"binary"}},"required":["file"]}},"*/*":{"schema":{"type":"string","format":"binary"}}}},"responses":{"200":{"description":"The file was uploaded successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the uploaded file","type":"string"},"path":{"type":"string","description":"The path where the file is stored"},"uploadRequest":{"description":"The request required to upload the file","type":"object","properties":{"method":{"description":"The HTTP method to use","type":"string"},"url":{"description":"The HTTP url to use","type":"string"},"headers":{"description":"The HTTP headers to use","type":"object"}},"required":["method","url","headers"]}},"required":["id","path"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/space/{spaceId}/storage/move/{path}":{"post":{"operationId":"moveSpaceStoragePath","summary":"Move (rename) a file in space storage","description":"Move a file from one location to another within space storage, or\nrename a file by moving it to a new path. The source file path is\nspecified in the URL after /move/. The destinationPath in the request\nbody is the target location for the file.\n","tags":["Space Storage"],"parameters":[{"in":"path","name":"spaceId","required":true,"schema":{"description":"The ID of the space","type":"string"}},{"in":"path","name":"path","required":true,"schema":{"description":"The source file path","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"destinationPath":{"description":"The destination file path","type":"string"}},"required":["destinationPath"]}}}},"responses":{"200":{"description":"The file was moved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"path":{"description":"The destination file path","type":"string"}},"required":["path"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/space/{spaceId}/storage/list/{path}":{"get":{"operationId":"listSpaceStoragePath","summary":"List files and directories in space storage","description":"List files and directories in the space's storage. Supports both flat\nand recursive listing. The path is specified in the URL after /list/.\nOmit the path to list the root directory.\n","tags":["Space Storage"],"parameters":[{"in":"path","name":"spaceId","required":true,"schema":{"description":"The ID of the space","type":"string"}},{"in":"path","name":"path","required":false,"schema":{"description":"The directory path (defaults to root)","type":"string"}},{"in":"query","name":"recursive","schema":{"description":"Whether to list files recursively","type":"boolean","default":false}}],"responses":{"200":{"description":"The list of files was retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"description":"The ID of the file or directory","type":"string"},"path":{"description":"The relative path of the file or directory","type":"string"},"size":{"description":"The size of the file in bytes (0 for directories)","type":"number"},"updatedAt":{"description":"The timestamp (ms) when the file was last modified","type":"number"},"isDirectory":{"description":"Whether this is a directory","type":"boolean"}}}},"nextToken":{"description":"Token to use for next page of results","type":"string"}},"required":["items"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/space/{spaceId}/storage/download/{path}":{"get":{"operationId":"downloadSpaceStoragePath","summary":"Download a file from space storage","description":"Download a file from space storage. The file path is specified in the\nURL after /download/. Can return either the direct file content\n(default) or a presigned download URL (when Accept: application/json).\n","tags":["Space Storage"],"parameters":[{"in":"path","name":"spaceId","required":true,"schema":{"description":"The ID of the space","type":"string"}},{"in":"path","name":"path","required":true,"schema":{"description":"The file path","type":"string"}}],"responses":{"200":{"description":"The file was downloaded successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the file","type":"string"},"url":{"description":"The presigned URL to download the file","type":"string"}},"required":["id","url"]}},"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/space/{spaceId}/storage/delete/{path}":{"post":{"operationId":"deleteSpaceStoragePath","summary":"Delete a file or directory from space storage","description":"Delete a file or directory from space storage. The path is specified\nin the URL after /delete/. If recursive is true and the path is a\ndirectory, all files within it will be deleted.\n","tags":["Space Storage"],"parameters":[{"in":"path","name":"spaceId","required":true,"schema":{"description":"The ID of the space","type":"string"}},{"in":"path","name":"path","required":true,"schema":{"description":"The file or directory path","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"recursive":{"description":"Whether to delete directory contents recursively","type":"boolean","default":false}}}}}},"responses":{"200":{"description":"The file or directory was deleted successfully","content":{"application/json":{"schema":{"type":"object","properties":{"path":{"description":"The deleted file or directory path","type":"string"}},"required":["path"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/space/{spaceId}/storage/copy/{path}":{"post":{"operationId":"copySpaceStoragePath","summary":"Copy a file in space storage","description":"Copy a file from one location to another within space storage. The\nsource file path is specified in the URL after /copy/. The\ndestinationPath in the request body specifies where to copy the file.\n","tags":["Space Storage"],"parameters":[{"in":"path","name":"spaceId","required":true,"schema":{"description":"The ID of the space","type":"string"}},{"in":"path","name":"path","required":true,"schema":{"description":"The source file path","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"destinationPath":{"description":"The destination file path","type":"string"}},"required":["destinationPath"]}}}},"responses":{"200":{"description":"The file was copied successfully","content":{"application/json":{"schema":{"type":"object","properties":{"path":{"description":"The destination file path","type":"string"}},"required":["path"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/space/{spaceId}/site/list":{"get":{"operationId":"listSpaceSites","summary":"List space sites","tags":["Space Site"],"parameters":[{"in":"path","name":"spaceId","required":true,"schema":{"type":"string"}},{"in":"query","name":"cursor","schema":{"description":"The cursor to use for pagination","type":"string"}},{"in":"query","name":"order","schema":{"description":"The order of the paginated items","type":"string","enum":["asc","desc"],"default":"desc"}},{"in":"query","name":"take","schema":{"description":"The number of items to retrieve","type":"integer"}},{"in":"query","name":"meta","schema":{"description":"Key-value pairs to filter the sites by metadata","type":"object","additionalProperties":{"type":"string"}},"style":"deepObject","explode":true}],"responses":{"200":{"description":"The list of sites was retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/InstanceRefProperties"},{"$ref":"#/components/schemas/InstanceListProps"},{"type":"object","properties":{"domain":{"description":"The host the site is served at","type":"string"},"prefix":{"description":"The folder prefix inside the space","type":"string"},"index":{"description":"Directory index filename","type":"string"},"notFound":{"description":"Not found filename","type":"string"}}}]}},"cursor":{"description":"Cursor for fetching the next page","type":"string"}},"required":["items","cursor"]}},"application/jsonl":{"schema":{"oneOf":[{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["item"]},"data":{"$ref":"#/paths/~1space~1{spaceId}~1site~1list/get/responses/200/content/application~1json/schema/properties/items/items"}},"required":["type","data"]}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/space/{spaceId}/site/create":{"post":{"operationId":"createSpaceSite","summary":"Create a space site","tags":["Space Site"],"parameters":[{"in":"path","name":"spaceId","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceRefProperties"},{"$ref":"#/components/schemas/InstanceCrudProps"},{"type":"object","required":["domain"],"properties":{"domain":{"description":"The host the site is served at (a subdomain under the configured space apex)","type":"string"},"prefix":{"description":"Optional folder prefix inside the space to serve from","type":"string"},"index":{"description":"Directory index filename","type":"string","default":"index.html"},"notFound":{"description":"Not found filename","type":"string","default":"404.html"}}}]}}}},"responses":{"200":{"description":"The site was created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the created site","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/space/{spaceId}/site/{siteId}/update":{"post":{"operationId":"updateSpaceSite","summary":"Update a space site","tags":["Space Site"],"parameters":[{"in":"path","name":"spaceId","required":true,"schema":{"type":"string"}},{"in":"path","name":"siteId","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceRefProperties"},{"$ref":"#/components/schemas/InstanceCrudProps"},{"type":"object","properties":{"domain":{"description":"The host the site is served at (a subdomain under the configured space apex)","type":"string"},"prefix":{"description":"Optional folder prefix inside the space to serve from","type":"string"},"index":{"description":"Directory index filename","type":"string"},"notFound":{"description":"Not found filename","type":"string"}}}]}}}},"responses":{"200":{"description":"The site was updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the updated site","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/space/{spaceId}/site/{siteId}/fetch":{"get":{"operationId":"fetchSpaceSite","summary":"Fetch a space site","tags":["Space Site"],"parameters":[{"in":"path","name":"spaceId","required":true,"schema":{"type":"string"}},{"in":"path","name":"siteId","required":true,"schema":{"description":"The ID of the site to retrieve","type":"string"}}],"responses":{"200":{"description":"The site was retrieved successfully","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceRefProperties"},{"$ref":"#/components/schemas/InstanceListProps"},{"type":"object","properties":{"spaceId":{"description":"The space the site belongs to","type":"string"},"domain":{"description":"The host the site is served at","type":"string"},"prefix":{"description":"The folder prefix inside the space","type":"string"},"index":{"description":"Directory index filename","type":"string"},"notFound":{"description":"Not found filename","type":"string"}}}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/space/{spaceId}/site/{siteId}/delete":{"post":{"operationId":"deleteSpaceSite","summary":"Delete a space site","tags":["Space Site"],"parameters":[{"in":"path","name":"spaceId","required":true,"schema":{"type":"string"}},{"in":"path","name":"siteId","required":true,"schema":{"description":"The ID of the site to delete","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{}}}}},"responses":{"200":{"description":"The site was deleted successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the deleted site","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/skillset/list":{"get":{"operationId":"listSkillsets","summary":"Retrieve a list of skillsets","tags":["Skillset"],"parameters":[{"in":"query","name":"cursor","schema":{"description":"The cursor to use for pagination","type":"string"}},{"in":"query","name":"order","schema":{"description":"The order of the paginated items","type":"string","enum":["asc","desc"],"default":"desc"}},{"in":"query","name":"take","schema":{"description":"The number of items to retrieve","type":"integer"}},{"in":"query","name":"meta","schema":{"description":"Key-value pairs to filter the items by metadata","type":"object","additionalProperties":{"type":"string"}},"style":"deepObject","explode":true}],"responses":{"200":{"description":"The list of skillsets was retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/InstanceRefProperties"},{"$ref":"#/components/schemas/InstanceListProps"},{"$ref":"#/components/schemas/BlueprintProps"},{"type":"object","properties":{"visibility":{"$ref":"#/components/schemas/SkillsetVisibility"},"state":{"$ref":"#/components/schemas/ResourceState"}}}]}},"cursor":{"description":"Cursor for fetching the next page","type":"string"}},"required":["items","cursor"]}},"application/jsonl":{"schema":{"oneOf":[{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["item"]},"data":{"$ref":"#/paths/~1skillset~1list/get/responses/200/content/application~1json/schema/properties/items/items"}},"required":["type","data"]}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/skillset/create":{"post":{"operationId":"createSkillset","summary":"Create skillset","tags":["Skillset"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceRefProperties"},{"$ref":"#/components/schemas/InstanceCrudProps"},{"$ref":"#/components/schemas/BlueprintProps"},{"type":"object","properties":{"visibility":{"$ref":"#/components/schemas/SkillsetVisibility"},"state":{"$ref":"#/components/schemas/ResourceState"}}}]}}}},"responses":{"200":{"description":"The skillset was created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the created skillset","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/skillset/{skillsetId}/update":{"post":{"operationId":"updateSkillset","summary":"Update skillset","tags":["Skillset"],"parameters":[{"in":"path","name":"skillsetId","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceRefProperties"},{"$ref":"#/components/schemas/InstanceCrudProps"},{"$ref":"#/components/schemas/BlueprintProps"},{"type":"object","properties":{"visibility":{"$ref":"#/components/schemas/SkillsetVisibility"},"state":{"$ref":"#/components/schemas/ResourceState"}}}]}}}},"responses":{"200":{"description":"The skillset was updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the updated skillset","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/skillset/{skillsetId}/fetch":{"get":{"operationId":"fetchSkillset","summary":"Fetch a skillset","tags":["Skillset"],"parameters":[{"in":"path","name":"skillsetId","required":true,"schema":{"description":"The ID of the skillset to retrieve","type":"string"}}],"responses":{"200":{"description":"The skillset was retrieved successfully","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/InstanceRefProperties"},{"$ref":"#/components/schemas/InstanceListProps"},{"$ref":"#/components/schemas/BlueprintProps"},{"type":"object","properties":{"visibility":{"$ref":"#/components/schemas/SkillsetVisibility"},"state":{"$ref":"#/components/schemas/ResourceState"}}}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/skillset/{skillsetId}/delete":{"post":{"operationId":"deleteSkillset","summary":"Delete a skillset","tags":["Skillset"],"parameters":[{"in":"path","name":"skillsetId","required":true,"schema":{"description":"The ID of the skillset to delete","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{}}}}},"responses":{"200":{"description":"The skillset was deleted successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The ID of the deleted skillset","type":"string"}},"required":["id"]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/skillset/{skillsetId}/ability/list":{"get":{"operationId":"listSkillsetAbilities","summary":"Retrieve a list of skillset abilities","tags":["Skillset Ability"],"parameters":[{"in":"path","name":"skillsetId","required":true,"schema":{"type":"string","description":"The ID of the skillset"}},{"in":"query","name":"cursor","schema":{"description":"The cursor to use for pagination","type":"string"}},{"in":"query","name":"order","schema":{"description":"The order of the paginated items","type":"string","enum":["asc","desc"],"default":"desc"}},{"in":"query","name":"take","schema":{"description":"The number of items to retrieve","type":"integer"}}],"responses":{"200":{"description":"The list of abilities was retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/InstanceRefProperties"},{"$ref":"#/components/schemas/InstanceListProps"},{"$ref":"#/components/schemas/BlueprintProps"},{"type":"object","properties":{"linkedSecretId":{"description":"The ID of the secret associated with the ability","type":"string","nullable":true},"linkedFileId":{"description":"The ID of the file associated with the ability","type":"string","nullable":true},"linkedBotId":{"description":"The ID of the bot associated with the ability","type":"string","nullable":true},"linkedSpaceId":{"description":"The ID of the space associated with the ability","type":"string","nullable":true},"instruction":{"type":"string"},"state":{"$ref":"#/components/schemas/ResourceState"}},"required":["name","description","instruction"]}]}},"cursor":{"description":"Cursor for fetching the next page","type":"string"}},"required":["items","cursor"]}},"application/jsonl":{"schema":{"oneOf":[{"type":"object","properties":{"type":{"description":"The type of event","type":"string","enum":["item"]},"data":{"$ref":"#/paths/~1skillset~1{skillsetId}~1ability~1list/get/responses/200/content/application~1json/schema/properties/items/items"}},"required":["type","data"]}]}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}}}},"/skillset/{sk
[...]
